# DCM/DFA Reporting And Trafficking API . regions

## Instance Methods

Retrieves a list of regions.

### Method Details

`list(profileId)`

    Retrieves a list of regions.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Region List Response
        "regions": [ # Region collection.
          { # Contains information about a region that can be targeted by ads.
            "kind": "dfareporting#region", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#region".
            "countryDartId": "A String", # DART ID of the country to which this region belongs.
            "name": "A String", # Name of this region.
            "countryCode": "A String", # Country code of the country to which this region belongs.
            "regionCode": "A String", # Region code.
            "dartId": "A String", # DART ID of this region.
          },
        ],
        "kind": "dfareporting#regionsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#regionsListResponse".
      }